Stops a token reference or all the ones linked to a card. The token or tokens can be unstopped using UnStopToken.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| customerReference | String | 1-255 characters | ✓ | Customer reference linked with this card |
| trackingNumber | String | 1-10 characters | ✓ | The tracking number of the card linked to the token |
| tokenUniqueReference | String | 48 characters | ✓ | The unique reference of the token or an empty string to stop all the tokens for the card |
| stopReasonID | Integer | ✓ | Stop Reason id associated with the reason for stopping the token or tokens. It will accept the same values as stop card | |
| comment | String | ✓ | Description as to why the token was deleted | |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>StopToken</methodName>
<params>
<param>
<value>
<string>0053897254</string>
</value>
</param>
<param>
<value>
<string>66809871700</string>
</value>
</param>
<param>
<value>
<string>676248400000001</string>
</value>
</param>
<param>
<value>
<string>DWSPMC00000000010906a349d9ca4eb1a4d53e3c90a11d9c</string>
</value>
</param>
<param>
<value>
<string>1</string>
</value>
</param>
<param>
<value>
<string>Card no longer in use</string>
</value>
</param>
<param>
<value>
<string>fb8344c9-2fc9-467b-87e4-55eaf88d06f2</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200101T09:00:00</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>23DE36A0C33B90FCAE4B1251CA7E3F65AF1ACCAB</string>
</value>
</param>
</params>
</methodCall>
<value>
<string>fb8344c9-2fc9-467b-87e4-55eaf88d06f2</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200101T09:00:00</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>77AEED17218150745D56F2DBD73C4B1CB7CD78A5</string>
</value>
</param>
</params>
</methodCall>
Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Status text indicating result |
| terminalID | String | Echo |
| customerReference | String | Echo |
| trackingNumber | String | Echo |
| tokenUniqueReference | String | Echo |
| clientTransactionID | String | Echo |
| serverTransactionID | String | Transaction id generated by Paymentology |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>clientTransactionID</name>
<value>
<string>fb8344c9-2fc9-467b-87e4-55eaf88d06f2</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>terminalID</name>
<value>
<string>0053897254</string>
</value>
</member>
<member>
<name>customerReference</name>
<value>
<string>66809871700</string>
</value>
</member>
<member>
<name>tokenUniqueReference</name>
<value>
<string>DWSPMC00000000010906a349d9ca4eb1a4d53e3c90a11d9c</string>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>41782266-D7E5-7187-593BDF7FCED2795B</string>
</value>
</member>
<member>
<name>trackingNumber</name>
<value>
<string>676248400000001</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
